frei0r-dmo (1:3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jun 2026 16:42:34 +0200

frei0r-dmo (1:3.1.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Apr 2026 23:56:05 +0200

frei0r-dmo (1:3.1.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Apr 2026 07:48:09 +0200

frei0r-dmo (1:3.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Apr 2026 14:14:48 +0200

frei0r-dmo (1:3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Apr 2026 00:11:33 +0200

frei0r-dmo (1:3.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Apr 2026 15:54:51 +0200

frei0r-dmo (1:3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2026 10:45:54 +0200

frei0r-dmo (1:2.5.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Mar 2026 14:52:14 +0100

frei0r-dmo (1:2.5.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2026 00:16:19 +0100

frei0r-dmo (1:2.5.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Feb 2026 02:29:22 +0100

frei0r-dmo (1:2.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Feb 2026 17:24:50 +0100

frei0r-dmo (1:2.5.1-dmo2) unstable; urgency=medium

  * Build with libgavl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Feb 2026 14:30:25 +0100

frei0r-dmo (1:2.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Dec 2025 08:30:48 +0100

frei0r-dmo (1:2.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Oct 2025 18:19:51 +0200

frei0r-dmo (1:2.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Sep 2025 13:18:01 +0200

frei0r-dmo (1:2.3.3-dmo1+b2) unstable; urgency=medium

  * Build with opencv 4.10.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Feb 2025 00:03:31 +0100

frei0r-dmo (1:2.3.3-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Nov 2024 10:13:55 +0100

frei0r-dmo (1:2.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 13:19:54 +0200

frei0r-dmo (1:2.3.2-dmo3) unstable; urgency=medium

  * Add libcairo2-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Apr 2024 15:14:09 +0200

frei0r-dmo (1:2.3.2-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 11:43:39 +0100

frei0r-dmo (1:2.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Dec 2023 11:24:35 +0100

frei0r-dmo (1:2.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Aug 2023 17:57:50 +0200

frei0r-dmo (1:2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 May 2023 01:58:18 +0200

frei0r-dmo (1:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Jan 2023 01:58:54 +0100

frei0r-dmo (1:2.0.0-dmo2) unstable; urgency=medium

  * Move plugins to /usr/lib/frei0r-1 instead of multi-arch path (Thanks to
    Paul Haesler for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Jan 2023 14:05:06 +0100

frei0r-dmo (1:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Dec 2022 13:17:13 +0100

frei0r-dmo (1:1.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Dec 2022 13:15:31 +0100

frei0r-dmo (1:1.8.0-dmo2) unstable; urgency=medium

  * Build with opencv 4.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jul 2022 06:36:04 +0200

frei0r-dmo (1:1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 02:07:40 +0200

frei0r-dmo (1:1.7.0-dmo3) unstable; urgency=medium

  * Build with libgavl2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Feb 2022 22:05:28 +0100

frei0r-dmo (1:1.7.0-dmo2) unstable; urgency=medium

  * Changes libjs-jquery dependency by node-jquery

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 10:48:14 +0200

frei0r-dmo (1:1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Dec 2019 08:05:22 +0100

frei0r-dmo (1:1.6.1-dmo5) unstable; urgency=medium

  * Build without opencv, 4.1 isn't supported (yet) by frei0r.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2019 10:29:08 +0100

frei0r-dmo (1:1.6.1-dmo4) unstable; urgency=medium

  * Don't use multiarch path for /usr/lib

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Aug 2019 20:04:45 +0200

frei0r-dmo (1:1.6.1-dmo3) unstable; urgency=medium

  * Install frei0r.hpp in /usr/include
  * install all doc in the doc package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jul 2019 12:18:46 +0200

frei0r-dmo (1:1.6.1-dmo2) unstable; urgency=medium

  * Rebuild against opencv 3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Oct 2017 08:23:19 +0200

frei0r-dmo (1:1.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2017 14:58:56 +0200

frei0r-plugins-dmo (1:1.5-dmo2) unstable; urgency=medium

  * Fix link against libm.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Apr 2017 19:52:54 +0200

frei0r-plugins-dmo (1:1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Apr 2016 16:53:58 +0200

frei0r-plugins-dmo (1:1.4-dmo6) unstable; urgency=medium

  * Rebuild against libopencv-*v5 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Aug 2015 09:59:30 +0200

frei0r-plugins-dmo (1:1.4-dmo5) unstable; urgency=low

  * Add Suggests: opencv-data to frei0r-plugins package.
  * Build with GCC 5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Aug 2015 15:01:38 +0200

frei0r-plugins-dmo (1:1.4-dmo4) unstable; urgency=low

  * Rebuild against opencv 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Sep 2013 08:13:40 +0200

frei0r-plugins-dmo (1:1.4-dmo3) unstable; urgency=low

  * debian/watch updated.
  * -dev package is architecture all for now (only one include and a pc file).
  * Fix documentation build/install and update doc-base file.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2013 20:47:06 +0200

frei0r-plugins-dmo (1:1.4-dmo2) unstable; urgency=low

  * Upload to unstable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2013 19:46:13 +0200

frei0r-plugins-dmo (1:1.4-dmo1) experimental; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2013 19:06:03 +0200

frei0r (1.3+0git10121203-1) experimental; urgency=low

  [ upstream ]
  * Snapshot of upstream VCS as of 1012-12-03.
    + New filters:
      - blur (IIRblur)
      - cairogradient
      - cairoimagegrid
      - colgate
      - colorhalftone
      - colorize
      - colortap
      - dither
      - emboss
      - keyspillm0pup
      - posterize
      - rgbnoise
      - sigmoidaltransfer
      - softglow
      - spillsupress
      - timeout
      - vignette
    + New mixers:
      - cairoaffineblend
      - cairoblend

  [ Jonas Smedegaard ]
  * Drop all patches: Applied upstream.
  * Enable CDBS build-dependency semi-auto-resolving.
  * (Re)generate autotools.
    Build-depend on libtool, automake1.11 and autoconf (and not
    autotools-dev).
  * Add README.source covering use of CDBS and git-buildpackage.
  * Tighten build-dependency on libopencv-dev when build is targeted
    experimental suite.
  * Have frei0r-plugins provide virtual ABI package frei0r-plugins-1.2
    for reverse dependencies to depend on.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jan 2013 03:39:48 +0100

frei0r (1.3-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    Highlights since last packaging release:
    + New filters:
      - alpha0ps (alpha0ps, alphagrad, alphaspot)
      - c0rners
      - coloradj
      - d90stairsteppingfix
      - defish0r
      - denoise (hqdn3d)
      - facebl0r
      - lightgraffiti
      - measure (Pr0be, Pr0file)
      - select0r
      - sharpness
      - sopsat
    + New generators:
      - test_pat (broadcast test patterns)
    * New mixer:
      - addition_alpha
    + Better documentation.
    + Better examples for writing code that makes use of thed opencv
      library.

  [ Jonas Smedegaard ]
  * Friendly takeover, on behalf of the Debian Multimedia Maintainers.
    + Update Maintainer, Uploader and Vcs-* control fields.
    Thanks for your past contributions, Luca Bigliardi.
  * Add git-buildpackage config, enabling signed tags and pristine-tar,
    and filtering out upstream .gitignore file. Drop earlier odd config
    in root dir.
  * Drop obsolete DM-Upload-Allowed control field.
  * Soft-include CDBS upstream-tarball.mk snippet, to provide
    get-orig-source target.
  * Add watch file.
  * Relax to build-depend unversioned on debhelper and libgavl-dev:
    Needed versions satisfied in stable, and oldstable no longer
    supported.
  * Add a bunch of bug-fix patches cherry-picked from upstream VCS.
  * Build-depend on autotools-dev (and not libtool, automake or
    autoconf), and drop sloppy autoreconf introduced in
    1.1.22git20091109-1.2.
  * Build-depend on dh-buildinfo, to help debug independently from
    central Debian resources.
  * Bump debhelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Git-ignore quilt .pc dir.
  * Use source format 3.0 (quilt).
  * Build-depend on libopencv-dev (and not libcv-dev, libcvaux-dev or
    libhighgui-dev).
  * Build-depend on doxygen, and build html documentation.
  * Fix install docs below /usr/share (not /usr/share/doc).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Dec 2012 03:14:28 +0100

frei0r (1.1.22git20091109-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: filter/facedetect/facedetect.c:231:36: error: too few
    arguments to function 'cvHaarDetectObjects'" Supply minimum and
    maximum sizes to mimic previous single size requirement.
    (Closes: #652759)

 -- Neil Williams <codehelp@debian.org>  Sat, 03 Mar 2012 11:17:14 +0000

frei0r (1.1.22git20091109-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build against current libcv which changes the soname (Closes: #590925)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Aug 2010 20:29:50 -0400

frei0r (1.1.22git20091109-1) unstable; urgency=low

  * New import from upstream.
  * Increase standard version to 3.8.3.
  * Temporary depend on libcvaux-dev and libhighgui-dev for a bug in opencv
    (Closes: #560546).

 -- Luca Bigliardi <shammash@artha.org>  Fri, 15 Jan 2010 17:18:18 +0100

frei0r (1.1.22git20090409-2) unstable; urgency=low

  * Conflict with unofficial package frei0r (Closes: #526634).

 -- Luca Bigliardi <shammash@artha.org>  Mon, 01 Jun 2009 11:37:06 +0200

frei0r (1.1.22git20090409-1) unstable; urgency=low

  * Sync with upstream git to add pkg-config file.

 -- Luca Bigliardi <shammash@artha.org>  Thu, 09 Apr 2009 17:39:36 +0200

frei0r (1.1.22git20090209-1) unstable; urgency=low

  * First official debian package (Closes: #514639).
  * Import some fixes from upstream.
  * Switch to cdbs.
  * Build-depend on pkg-config.
  * Use installed documentation.
  * Remove watch file (source code in git repository).
  * Rename source package in frei0r.
  * Rename plugins binary package in frei0r-plugins.
  * Rename libfrei0r-* in frei0r-plugins-*.

 -- Luca Bigliardi <shammash@artha.org>  Thu, 26 Feb 2009 15:03:02 +0100

frei0r-plugins (1.1.22-0.2) unstable; urgency=low

  * Rebuild against the latest libgavl-dev 1.1.0

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Feb 2009 12:21:15 +0100

frei0r-plugins (1.1.22-0.1) unstable; urgency=low

  * Update watch file.
  * Build against the latest libgavl-dev 1.0.1

 -- Christian Marillat <marillat@debian.org>  Thu, 11 Dec 2008 23:56:33 +0100

frei0r-plugins (1.1.22-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 29 Oct 2008 08:23:52 +0100

frei0r (1.1.21git20081022-0.0) unstable; urgency=low

  * Update the version number to the real version 1.1.21
  * Remove the water plugin who doesn't work. I'll add this plugin later.

 -- Christian Marillat <marillat@debian.org>  Thu, 23 Oct 2008 10:50:10 +0200

frei0r (1.1git20081022-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Oct 2008 16:06:34 +0200

